---
title: lang
slug: Web/SVG/Attribute/lang
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p><span class="seoSummary">The <strong><code>lang</code></strong> attribute specifies the primary language used in contents and attributes containing text content of particular elements.</span></p>

<p>There is also an {{SVGAttr("xml:lang")}} attribute (with namespace). If both of them are defined, the one with namespace is used and the one without is ignored.</p>

<p>In SVG 1.1 there was a <code>lang</code> attribute defined with a different meaning and only applying to {{SVGElement("glyph")}} elements. That attribute specified a list of languages in <a href="https://www.ietf.org/rfc/bcp/bcp47.txt">BCP 47 format</a>. The glyph was meant to be used if the <code>xml:lang</code> attribute exactly matched one of the languages given in the value of this parameter, or if the <code>xml:lang</code> attribute exactly equaled a prefix of one of the languages given in the value of this parameter such that the first tag character following the prefix was "-".</p>

<p>All elements are using this attribute.</p>

<div id="topExample">
<pre class="brush: html; highlight[2]">&lt;svg viewBox="0 0 200 100" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;text lang="en-US"&gt;This is some English text&lt;/text&gt;
&lt;/svg&gt;</pre>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>&lt;language-tag&gt;</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;language-tag&gt;</code></dt>
 <dd>
 <p>This value specifies the language used for the element. The syntax of this value is defined in the <a href="https://tools.ietf.org/html/bcp47#section-2.1">BCP 47</a> specification.</p>

 <p>The most common syntax is a value formed by a lowercase two-character part for the language and an uppercase two-character part for the region or country, separated by a minus sign, e.g. <code>en-US</code> for US English or <code>de-AT</code> for Austrian German.</p>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "struct.html#LangAttribute", "lang")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Made the {{SVGAttr("lang")}} attribute (without namespace) available on all elements and defined the interaction between both.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "fonts.html#GlyphElementLangAttribute", "lang")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Deprecated definition of the attribute for {{SVGElement("glyph")}} elements</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.core.lang")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://tools.ietf.org/html/bcp47">BCP 47 specification for tags for identifying languages</a></li>
</ul>
